﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows.Data;
using System.Windows.Automation;
using Telerik.Windows.Controls;

namespace SilverlightApplication2
{
	public class MyViewModel : DependencyObject
	{
		static MyViewModel()
		{
			MyAction1 = new RoutedUICommand("My Action-1", "MyAction1", typeof(MyViewModel));
			MyAction2 = new RoutedUICommand("My Action-2", "MyAction2", typeof(MyViewModel));
		}

		public MyViewModel()
		{
			this.CanExecuteAction1 = false;
			this.CanExecuteAction2 = false;
		}

		public static ICommand MyAction1
		{
			get;
			private set;
		}

		public static ICommand MyAction2
		{
			get;
			private set;
		}

		public bool CanExecuteAction1 { get; set; }
		public bool CanExecuteAction2 { get; set; }

		public CommandBindingCollection GetCommandBindings()
		{
			CommandBindingCollection coll = new CommandBindingCollection()
			{
				new CommandBinding (MyAction1, this.OnExecutedMyAction1, this.OnCanExecuteMyAction1),
				new CommandBinding (MyAction2, this.OnExecutedMyAction2, this.OnCanExecuteMyAction2)
			};
			return coll;
		}

		public void OnExecutedMyAction1(object sender, ExecutedRoutedEventArgs e)
		{
			RadWindow.Alert("Action1");
		}

		public void OnCanExecuteMyAction1(object sender, CanExecuteRoutedEventArgs e)
		{
			e.CanExecute = this.CanExecuteAction1;
		}

		public void OnExecutedMyAction2(object sender, ExecutedRoutedEventArgs e)
		{
			RadWindow.Alert("Action2");
		}

		public void OnCanExecuteMyAction2(object sender, CanExecuteRoutedEventArgs e)
		{
			e.CanExecute = this.CanExecuteAction2;
		}
	}
}
